## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           alsa-ucm-asahi
Version:        1
Release:        %autorelease
Summary:        ALSA Use Case Manager configuration (and topologies) for Apple silicon devices
License:        BSD-3-Clause

URL:            https://github.com/AsahiLinux/alsa-ucm-conf-asahi
Source:         %{url}/archive/v%{version}/alsa-ucm-conf-asahi-%{version}.tar.gz

BuildArch:      noarch

Requires:       alsa-ucm >= 1.2.7.2

%description
The ALSA Use Case Manager configuration (and topologies) for Apple silicon devices.

%prep
%autosetup -n alsa-ucm-conf-asahi-%{version}

%install
install -dm 755 %{buildroot}%{_datadir}/alsa/ucm2/conf.d/
cp -a ucm2/conf.d/macaudio/ %{buildroot}%{_datadir}/alsa/ucm2/conf.d/

%files
%license LICENSE.asahi
%doc README.asahi
%{_datadir}/alsa/ucm2/conf.d/macaudio/

%changelog
* Fri Nov 18 2022 Leif Liddy <leif.liddy@gmail.com> - 1-1
- Initial version

